Subject: ANNOUNCE: Data::Persistent up for adoption.
From: [email-masked] (Eric M Knell)
Date: 26 Apr 1997 20:35:48 GMT
Newsgroups: comp.lang.perl.announce,comp.lang.perl.modules

Hello,

I was developing an interface for Persistent Objects in Perl, and a module
that used this to implement a Persistent Collection of objects.  Due to a
change in direction, I have finished my work on this project, but there is
still much to be done.  I am asking anyone who is interested to adopt this
project and bring Object Persistence to Perl 5.

There are a few modules included in this package:

Data::Persistent - An interface for persistency in Perl 5.  Pretty
basic, but a good enough starting point for implementing persistency.

Data::Persistent::PFSDS - The Persistent Filesystem-based Datastore.  An
implemementation of Data::Persistent that uses the POSIX filesystem to
implement Persistence and file-locking.

Data::Persistent::Component and Data::Persistent::Collection - A class for
the persistent storage of collections of persistent and non-persistent
components.  Allows for the implicit persistency and storage of components.

This software is not supported by NCSA, and we have ceased work on it, but
the work might be valuable to you if you are doing work related to this. 
We would like someone to adopt this project.  If you have any questions,
please email me.

I, and NCSA, have finished our work on this module and release it to the
public unfinished and unsupported at:

ftp union.ncsa.uiuc.edu /pub/Data-Persistent-0.10.tar.gz

Please adopt this project (or use it as is) if you are interested.
Also, please read the README and README.Persistent files that are included.

Comments are welcome.

Eric Knell
[email-masked]